package com.hfkj.service;

import com.hfkj.common.security.SessionObject;
import com.hfkj.entity.SecUser;
import com.hfkj.model.SecUserSessionObject;
import com.hfkj.sysenum.SecUserObjectTypeEnum;

import java.util.List;
import java.util.Map;

/**
 * @className: SecUserService
 * @author: HuRui
 * @date: 2024/3/26
 **/
public interface SecUserService {

    /**
     * 编辑数据
     * @param data
     */
    void editUser(SecUser data);

    /**
     * 重置密码
     * @param userId
     */
    void resetPwd(Long userId) throws Exception;
    /**
     * 查询详情
     * @param id
     * @return
     */
    SecUser getDetail(Long id);

    /**
     * 查询详情
     * @param objectType
     * @param objectId
     * @return
     */
    SecUser getDetail(SecUserObjectTypeEnum objectType, Long objectId);

    /**
     * 根据登录账户查询详情
     * @param loginName
     * @return
     */
    SecUser getDetailByLoginName(String loginName);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<SecUser> getList(Map<String,Object> param);

    /**
     * 登录
     * @param loginName 登录账户
     * @param password  登录密码【未加密字符串】
     * @return
     */
    SessionObject login(String loginName, String password) throws Exception;



}
